Search documentation of phoenix_kit

# PhoenixKitWeb.Components.Blogging.EntityForm (phoenix_kit v1.6.19)

View Source

Embeddable entity form component for blogging pages. Renders a public submission form based on entity configuration.

## Usage in .phk files

    <EntityForm entity_slug="contact" />

## Attributes

- `entity_slug` (required) - The slug/name of the entity to render form for

# Summary

## Functions

render(assigns)

# Functions

# render(assigns)

## Attributes

- `content` (`:string`) - Defaults to `nil`.
- `attributes` (`:map`) - Defaults to `%{}`.
- `variant` (`:string`) - Defaults to `"default"`.